<app-menu></app-menu>

<div class="container">

<div class="col-lg-12">
<h6>Consulta de Revista - Huerta Ramírez</h6>
</div>

<div class="col-12">
<mat-form-field class="col-3">
<mat-label>Nombres</mat-label>
<input matInput [(ngModel)] = "nombreRev">
</mat-form-field>

<mat-form-field class="col-3">
<mat-label>Frecuencia</mat-label>
<input matInput [(ngModel)] = "frecuencia">
</mat-form-field>

<mat-checkbox class="example-margin" checked class="col-3" [(ngModel)] = "estado" >Estado</mat-checkbox>

<button mat-raised-button type="submit" color="primary" (click)="consulta()">Filtrar</button>
<button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">PDF</button>
</div>

<div class="col-12">
<mat-form-field class="col-3">
<mat-label>País</mat-label>
<mat-select [(ngModel)] = "selPais">
<mat-option value="-1"> [Seleccione] </mat-option>
<mat-option [value]="x.idPais" *ngFor="let x of lstPais" >
        {{x.nombre}}
</mat-option>
</mat-select>
</mat-form-field>

<mat-form-field class="col-3">
<mat-label>Tipo de Revista</mat-label>
<mat-select [(ngModel)] = "selRevista">
<mat-option value="-1"> [Seleccione] </mat-option>
<mat-option [value]="x.idDataCatalogo" *ngFor="let x of lstRevista" >
        {{x.descripcion}}
</mat-option>
</mat-select>
</mat-form-field>
</div>

<div class="col-12">
<div class="mat-elevation-z8">
<mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">
<ng-container matColumnDef="idRevista">
        <th mat-header-cell *matHeaderCellDef style="width: 50px">Id</th>
        <td mat-cell *matCellDef="let aux" style="width: 50px">{{ aux.idRevista}}</td>
</ng-container>
<ng-container matColumnDef="nombre">
        <th mat-header-cell *matHeaderCellDef style="width: 160px">Nombre</th>
        <td mat-cell *matCellDef="let aux" style="width: 160px">{{ aux.nombre}}</td>
</ng-container>
<ng-container matColumnDef="frecuencia">
        <th mat-header-cell *matHeaderCellDef style="width: 180px">Frecuencia</th>
        <td mat-cell *matCellDef="let aux" style="width: 180px">{{ aux.frecuencia}}</td>
</ng-container>
<ng-container matColumnDef="fechaCreacion">
        <th mat-header-cell *matHeaderCellDef style="width: 120px">Fecha de Creación
        </th>
        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaCreacion |
                date:"dd/MM/yyyy"}}</td>
</ng-container>

<ng-container matColumnDef="fechaRegistro">
        <th mat-header-cell *matHeaderCellDef style="width: 120px">Fecha de Registro
        </th>
        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaRegistro |
                date:"dd/MM/yyyy"}}</td>
</ng-container>
<ng-container matColumnDef="hora">
        <th mat-header-cell *matHeaderCellDef style="width: 120px">Hora</th>
        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.fechaRegistro |
                date:"HH:mm:ss a"}}</td>
</ng-container>
<ng-container matColumnDef="estado">
        <th mat-header-cell *matHeaderCellDef style="width: 100px">Estado</th>
        <td mat-cell *matCellDef="let aux" style="width: 100px">{{ aux.estado == 1 ?
                "Activo" :
                "Inactivo" }}</td>
</ng-container>
<ng-container matColumnDef="pais">
        <th mat-header-cell *matHeaderCellDef style="width: 120px">País</th>
        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.pais!.nombre}}
        </td>
</ng-container>

<ng-container matColumnDef="tipoRevista">
        <th mat-header-cell *matHeaderCellDef style="width: 120px">Tipo de Revista</th>
        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.tipoRevista!.descripcion}}
        </td>
</ng-container>

<mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
<mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

</mat-table>
<mat-paginator [pageSizeOptions]="[2, 4, 6]" showFirstLastButtons></mat-paginator>

</div>

</div>

</div>